#!/bin/sh

RC=0
LIBPATH=
CUR_DIR=`pwd`
cd `dirname ${0}`/../../../../..
REPLACE_WAS_HOME=`pwd`
export REPLACE_WAS_HOME
. $REPLACE_WAS_HOME/bin/setupCmdLine.sh
cd $CUR_DIR

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

${JAVA_EXE} \
	$JVM_EXTRA_CMD_ARGS \
	-DWAS_HOME=${WAS_HOME} \
	-Dwas.install.root=${WAS_HOME} \
	-Duser.install.root=${WAS_HOME} \
	-classpath ${WAS_CLASSPATH} \
  	-Dws.ext.dirs=${WAS_EXT_DIRS} \
	-DKeepProfileName=true \
  	com.ibm.wsspi.bootstrap.WSPreLauncher -nosplash -application com.ibm.ws.bootstrap.WSLauncher \
  	com.ibm.ws.runtime.InstallActionInvoker \
  	"$@"
RC=$?
exit $RC